<?php
namespace Zeedhi\Framework\Util;

use Doctrine\Inflector\InflectorFactory;

class DefaultInflector implements Inflector
{
    /** @var \Doctrine\Inflector\Inflector */
    private $inflector;

    public function __construct()
    {
        $this->inflector = InflectorFactory::create()->build();
    }

    /**
     * {@inheritdoc}
     */
    public function classify($tableName)
    {
        return $this->inflector->classify(strtolower($tableName));
    }
}
